Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
дополннительные пакеты
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
alex_murphy
n00b
n00b


Joined: 15 Nov 2004
Posts: 4
Location: Samara

PostPosted: Mon Nov 15, 2004 11:05 am    Post subject: дополннительные пакеты Reply with quote

Привет !!! Сорри за вопрос, он обсуждался в других форумах, но как пошагово действовать непонятно, итак:
У меня есть сервер, поставленный на генто, сначало он был с ииксами, потом иксы были удалены. Теперь при emerge -up world постоянно тянутся иксы :( USE отредактировал как мог:

USE="-xorg -X -gnome -qt -kde -gtk acl samba ldap -xfree unicode -truetype tiff jpeg wmf jbig"

по при этом постоянно пытаются волочится иксы:(

sw.samgtp bin # emerge -up world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[ebuild N ] media-libs/svgalib-1.9.19-r1
[ebuild N ] x11-misc/ttmkfdir-3.0.9-r2
[ebuild N ] x11-base/opengl-update-1.8.1-r1
[ebuild N ] x11-base/xorg-x11-6.8.0-r1
[ebuild U ] sys-apps/file-4.10-r1 [4.10]
[ebuild N ] app-arch/rpm2targz-9.0-r2
[ebuild N ] sys-apps/utempter-0.5.5.5
[ebuild N ] x11-terms/xterm-196
[ebuild N ] media-libs/libmad-0.15.1b
[ebuild N ] media-libs/libungif-4.1.0.1b
[ebuild N ] media-libs/lcms-1.12
[ebuild N ] media-libs/libmng-1.0.4
[ebuild U ] dev-db/mysql-4.0.22 [4.0.20-r1]
[ebuild N ] media-libs/giflib-4.1.0-r3
[ebuild N ] x11-libs/qt-3.3.3
[ebuild U ] dev-libs/glib-2.4.6 [2.4.5]
[ebuild N ] media-libs/libogg-1.1.2
[ebuild N ] kde-base/kde-env-3-r3
[ebuild N ] media-libs/libvorbis-1.1.0
[ebuild N ] media-libs/libid3tag-0.15.1b
[ebuild N ] kde-base/arts-1.3.1
[ebuild N ] media-libs/libsdl-1.2.7-r3
[ebuild U ] sys-libs/lib-compat-1.4 [1.3]
[ebuild U ] dev-libs/libxml2-2.6.15-r1 [2.6.11]
[ebuild U ] sys-apps/attr-2.4.19 [2.4.7-r1]
[ebuild U ] sys-apps/acl-2.2.27 [2.2.13-r2]
[ebuild U ] sys-apps/shadow-4.0.5-r2 [4.0.4.1-r3]
[ebuild U ] sys-apps/groff-1.19.1-r2 [1.18.1-r4]
[ebuild U ] sys-apps/ed-0.2-r4 [0.2-r3]
[ebuild U ] sys-apps/net-tools-1.60-r9 [1.60-r8]
[ebuild U ] dev-util/dialog-1.0.20040731 [0.9_beta20031002]
[ebuild U ] sys-fs/e2fsprogs-1.35-r1 [1.35]

хотя вроде бы никаких зависимостей сейчас нет, программку называемую dep я качал, пробывал ее юзать для каждого из перечисленных пакетов: dep -r пакет
ни на один не выдается требующих его пакетов.
Как быть в этом случае ??? Очень не охота каждый раз вручную перечислять пакеты, вместо emerge -up world.

С Уважением, Алексей.
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Mon Nov 15, 2004 1:19 pm    Post subject: Reply with quote

1. А ты как Хы сносил? rm -rf или emerge -C?
2. Что-то название темы не совсем соответствует ее содержимому ;)
Back to top
View user's profile Send private message
alex_murphy
n00b
n00b


Joined: 15 Nov 2004
Posts: 4
Location: Samara

PostPosted: Mon Nov 15, 2004 1:43 pm    Post subject: Reply with quote

ессно через emerge unmerge X, одновременно с этим добавлю - поудалял все пакеты которые (по-моему) используют иксы, те всякие kde и qt. Но наверное что-то осталось :(
Back to top
View user's profile Send private message
alex_murphy
n00b
n00b


Joined: 15 Nov 2004
Posts: 4
Location: Samara

PostPosted: Mon Nov 15, 2004 2:04 pm    Post subject: Reply with quote

Попробывал сейчас проверить каждую беблиотеку, оказалось все иксы за собой волокет lib-compat - не свосем понимаю , а ему то зачем иксы ???
sw.samgtp bin # emerge -p sys-libs/lib-compat

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild N ] media-libs/libmad-0.15.1b
[ebuild N ] media-libs/libogg-1.1.2
[ebuild N ] kde-base/kde-env-3-r3
[ebuild N ] media-libs/libvorbis-1.1.0
[ebuild N ] media-libs/libid3tag-0.15.1b
[ebuild N ] x11-misc/ttmkfdir-3.0.9-r2
[ebuild N ] x11-base/opengl-update-1.8.1-r1
[ebuild N ] x11-base/xorg-x11-6.8.0-r1
[ebuild N ] app-arch/rpm2targz-9.0-r2
[ebuild N ] sys-apps/utempter-0.5.5.5
[ebuild N ] x11-terms/xterm-196
[ebuild N ] media-libs/lcms-1.12
[ebuild N ] media-libs/libmng-1.0.4
[ebuild N ] media-libs/giflib-4.1.0-r3
[ebuild N ] media-libs/libungif-4.1.0.1b
[ebuild N ] x11-libs/qt-3.3.3
[ebuild N ] kde-base/arts-1.3.1
[ebuild N ] media-libs/svgalib-1.9.19-r1
[ebuild N ] media-libs/libsdl-1.2.7-r3
[ebuild R ] sys-libs/lib-compat-1.4
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Mon Nov 15, 2004 2:13 pm    Post subject: Reply with quote

Попробовал сделать emerge -pv пакетам, которые у тебя как "N" помечены. У lib-compat есть ключик "sdl", который тянет за собой libsdl. Ну а эта фигня (возможно) и влияет, т.к. Хы ей не чужды.

Попробуй прописать еще и "-sdl" в /etc/make.conf::USE или так:
Code:
USE=-sdl emerge -upv world
Back to top
View user's profile Send private message
alex_murphy
n00b
n00b


Joined: 15 Nov 2004
Posts: 4
Location: Samara

PostPosted: Mon Nov 15, 2004 2:41 pm    Post subject: Reply with quote

спасибо !!!! все заработало !!!! :")))
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum